clang 10.0.0git

Public Attributes | List of all members
clang::interp::Record::Field Struct Reference

Describes a record field. More...

`#include "/work/www-prereleases/10.0.0/rc1/docsbuild/clang/lib/AST/Interp/Record.h"`

Collaboration diagram for clang::interp::Record::Field:
[legend]

## Public Attributes
const FieldDecl * | Decl
unsigned | Offset
Descriptor * | Desc

## Detailed Description

Describes a record field.

Definition at line 26 of file Record.h.

## Member Data Documentation

## ◆ Decl

const FieldDecl* clang::interp::Record::Field::Decl

Definition at line 27 of file Record.h.

Referenced by clang::interp::EvalEmitter::fallthrough(), clang::interp::Record::getDecl(), clang::interp::InitBitField(), and clang::interp::InitThisBitField().

## ◆ Desc

Descriptor* clang::interp::Record::Field::Desc

Definition at line 29 of file Record.h.

## ◆ Offset

unsigned clang::interp::Record::Field::Offset

Definition at line 28 of file Record.h.

Referenced by clang::interp::EvalEmitter::fallthrough(), clang::interp::InitBitField(), and clang::interp::InitThisBitField().

The documentation for this struct was generated from the following file:

- lib/AST/Interp/Record.h